QGIS Application - Bug report #21157
i.pca by grass7 output issue -0.0000
2019-02-03 07:55 PM - Odysseas VI

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 28975
Description

Not sure if this is the right place to point this out, but:

| have been trying to manipulate the log output of the i.pca Grass7 function through QGIS, which outputs (I believe rounded) eigenvector
values some of which can be -0.0000. This is a mistake as | believe there is no -0 and it does confuse other mathematical functions when
using the output.

History

#1 - 2019-02-04 01:17 AM - Nyall Dawson
- Status changed from Open to Feedback

I'm not sure if this is a QGIS issue, or an GRASS issue. Can you show some screenshots demonstrating how the issue occurs?

#2 - 2019-02-04 04:29 PM - Odysseas VI
- File pcazeroissue.png added

It may be a GRASS issue indeed, if an issue in the first place. | have attached a screenshot of the log by QGIS

#3 - 2019-02-04 06:59 PM - Nyall Dawson
- Resolution set to up/downstream

- Status changed from Feedback to Closed

Will need fixing in grass - please report on their bug tracker

#4 - 2019-02-04 07:35 PM - Odysseas VI

Thanks, will do.

Files

pcazeroissue.png 109 KB 2019-02-04 Odysseas VI
